* {
    -ms-overflow-style: none; 
    scrollbar-width: none;    
}

*::-webkit-scrollbar {
    display: none;            
} 


#header{
    height: 65px;
    
}

body {
    font-family: 'Roboto', -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", Arial, sans-serif;
    font-size: 16px;
    line-height: 1.5;
}



.fs-60 { font-size: 3rem; }
.fs-40 { font-size: 2rem; }
.fs-30 { font-size: 1.25rem; }
.fs-25, .fs-15, .fs-13, .fs-12 { font-size: 1rem; }



.fs_60 { font-size: 50px !important; }
.fs_30 {  font-size: 16px !important; }
.fs_40 {  font-size: 23px !important;}
.fs_10 {   font-size: 10px !important;}
.fs_12 {   font-size: 12px !important;}
.fs_13 {   font-size: 13px !important;}
.fs_14 {   font-size: 14px !important;}
.fs_25 { font-size: 15px !important;}
.fs_15 {  font-size: 15px !important;}
.fs_21 {  font-size: 21px !important;}

.fontwhite { color:#ffffff !important; }
.headerfixed { position: fixed; z-index: 999;  width:100%; }
.banntop { margin-top: 65px !important; }
.mt53 { margin-top: 53px !important; }
.mt65 { margin-top: 65px !important; }
.mt85 { margin-top: 85px !important; }

.mr5 { margin-right: 5px !important; }

.mb10 { margin-bottom: 10px !important; }
a,Link { text-decoration: none !important; cursor: pointer; }

.g1 { color:#0e9e3d !important; }
.r1 { color:#ff0000 !important;  }
.error { color:#ff0000 !important;  }

a { padding: 0px !important; margin: 0px !important; }
.disable { opacity: 0.5;    pointer-events: none;   cursor: not-allowed;  }
.success { color: green;  font-weight: bold; }
.error {  color: red; font-weight: bold; }

.bg-gray, .text-bg-gray { background-color: rgb(227 227 227) !important; }
.logintitle { font-size: 24px !important; }

.navbarname_ul { margin-bottom: 0px !important;   }
.navbarname_ul li {  float: left; list-style: none;   }
.navbarname {    font-size: 12px; }
 
.mr15 { margin-right: 15px; }
.mt10 {  margin-top: 10px; }
.mt8 {  margin-top: 8px; }

.form-control { font-size: 12px !important; }

.admin_logo { height:44px !important;  }

/* .headerfixed {
    margin: 0px auto;
    z-index: 999;
    width: 100%;
    top: 0;
    background-color: #fff;
} */


.headerfixed {
    position: fixed; /* Makes the header fixed at the top */
    top: 0; /* Aligns the header to the top of the viewport */
    left: 0; /* Ensures the header spans the full width from left */
    right: 0; /* Ensures the header spans the full width to the right */
    z-index: 999; /* Ensures the header is above other content */
    width: 100%; /* Makes the header span the entire viewport width */
    background-color: #fff; /* Sets the background color to white */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Adds a subtle shadow for better visibility */
    padding: 5px 0px;
}


.header_icons {
    padding-left: 80px;
}

a, link {
    text-decoration: none !important;
    cursor: pointer;
}

.g1 {
    color: #0e9e3d !important;
}

.r1, .error {
    color: #ff0000 !important;
}

.active {  color: #3291c3 !important; }
.tabmenuactive {  color: #ffffff !important; }

.breadcrumb-item a { font-size: 12px; }
.topdetails {
    font-size: 12px;
    padding: 18px 25px;
}


.togglebtn {
    height: 40px;
    margin-left: 143px;
    margin-top: 10px;
}




.offcanvas{
    max-width: 260px;
}



.carousel-inner {
    
    position: relative;
    width: 100%;
    overflow: hidden;
    border-radius: 10px;
}





.card {
    border-radius: 15px;
    overflow: hidden;
}

.card-img-top {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    height: 200px;
    object-fit: cover;
}

.position-absolute {
    z-index: 10;
}

.btn-light {
    background-color: #fff;
    border: 1px solid #ddd;
}

.btn-light:hover {
    background-color: #f8f9fa;
}

.heading {
    font-weight: bold;
    font-size: 1.8rem;
    margin-bottom: 10px;
    color: #3291c3
}

.subheading {
    font-size: 1.2rem;
    color: #555;
    margin-bottom: 20px;
}


.prod_img {
    height: 200px;
}





.about-section {
    background-color: #fff;
    padding: 40px 20px;
    margin: 20px 0;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}



.about_img{
    width: 500px;
}

.about_img1{
    width: 1000px;
}


.contact-form {
    background-color: #3291c317;
    padding: 10px;
    border-radius: 25px;
    padding: 29px;
}


footer {
    background-color: #f8f9fa;
    font-family: Arial, sans-serif;
}

.footerlogo{
    width: 150px;
}

.newsletter {
    text-align: center;
    margin-bottom: 50px;
}

.newsletter h3 {
    font-size: 1.5rem;
    margin-bottom: 10px;
}

.newsletter p {
    font-size: 1rem;
    color: #555;
    margin-bottom: 15px;
}

.newsletter input {
    padding: 8px;
    width: 250px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

.newsletter button {
    padding: 8px 15px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.newsletter button:hover {
    background-color: #0056b3;
}

.footer-links {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    flex-wrap: wrap;
}

.footer-links div {
    /* width: 30%; */
    margin-bottom: 15px;
}

.footer-links h4 {
    font-size: 1.2rem;
    margin-bottom: 10px;
    color: #333;
}

.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links li {
    margin-bottom: 5px;
}

.footer-links a {
    text-decoration: none;
    color: #000000;
}

.footer-links a:hover {
    text-decoration: underline;
}

.bottom-footer {
    text-align: center;
    font-size: 0.9rem;
    color: #d6d6d6;
    border-top: 1px solid #ddd;
    padding: 10px;
    background-color: #262626;
}





.mainmenu {
    background: #ecebeb;
    border-radius: 10px;
     
    /* width: 80px !important; */
    margin-left: 25px;
    padding: 0px !important;
    float: left;
}

.sidenav {
    background: #ecebeb;
    border-radius: 10px;
   /*  margin: 0 4px 0 84px; */
    height: 100vh;  
    /* width: 260px !important; */
    margin-left: 10px;
}

/* Sidebar styles */
.sidebar {
    margin-top: 15px;
    position: fixed;
    
}


.maincontainer{
    /* margin: 38px 0 0 338px; */
    background: #ecebeb;
    float:right;
     height: 100vh;  
}

#sidebar-menu {
    display: flex;
    flex-direction: column;
    align-items: center;
   border-radius: 10px;
   /* padding: 10px; */
  }
  
/* Sidebar menu icons */
.menu_icon {
    text-align: center;
    padding: 10px 0;
    width: 100%;
    cursor: pointer;
    transition: background 0.3s ease-in-out;
    border-bottom: 1px dotted #bcb5b5;
  }

  .menu_icon span {
    font-size: 11px;
    color: #262626;
    display: block;
  }


  .menu_icon .menu-item svg {
    color: #2f8fc3;
    transition: transform 0.3s ease-in-out;
  }

  .menu_icon:hover,
.menu_icon.mainmenuactive {
  background-color: #bae7ff;
  border-radius: 10px;
}

.menu_icon:hover .menu-item svg,
.menu_icon.mainmenuactive .menu-item svg {
  transform: scale(1.1);
  color: #000;
}

/* Sidebar Content */
#sidebar {
    background: #ecebeb;
    /* height: 100vh; */
    padding-top: 15px;
    /* border-left: 1px solid #3b4a59; */
  }



  .app-sidebar-content {
    overflow-y: auto;
    padding-right: 5px;
  }


  /* Hide scrollbar */
.app-sidebar-content::-webkit-scrollbar {
    display: none;
  }

  .app-sidebar-content {
    -ms-overflow-style: none;
    scrollbar-width: 10px;
  }

/* Menu Styles */
.menu-header {
    font-size: 12px;
    font-weight: bold;
    color: #bdc3c7;
    margin-bottom: 10px;
    padding-left: 10px;
  }
  
  .menu-item {
    border-radius: 5px;
    transition: all 0.3s ease;
    padding: 3px 0px;
  }

  .menu-text {  }

  .menu-item .menu-link {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #2f8fc4;
    padding: 8px;
    font-weight: 500;
    font-size: 12px;
  }

  .menu-item .menu-link:hover {
    color: #000;
  }



  .menu-item .menu-icon {
    margin-right: 10px;
    font-size: 15px;
  }

  /* .menu-item.active {
    background-color: #abe0fc;
  } */

  .menu-item.active .menu-link {
    color: #000;
  }



  /* Submenu styles */
.menu-item.has-sub {
    position: relative;
    cursor: pointer;
  }
  
  .menu-item.has-sub .menu-link {
    display: flex;
    align-items: center;
    justify-content: space-between; /* Ensures arrow aligns to the right */
}

  .menu-item.has-sub .menu-caret {
    margin-left: auto;
  }

  /* Down arrow for menu items with submenus */
.menu-item.has-sub .menu-caret::after {
    content: "\25BC"; /* Hexcode for a downward arrow */
    font-size: 12px;
    color: #2f8fc5;
    transition: transform 0.3s ease-in-out;
}

/* Rotate arrow when submenu is active */
.menu-item.has-sub.active .menu-caret::after {
    transform: rotate(180deg);
}
  
  .menu-submenu {
    padding-left: 20px;
    font-size: 14px;
  }

  .menu-item.has-sub.active .menu-submenu {
    display: block;
  }

  .welcome-text {
    font-size: 12px;
  }




 


/* Page Titles */
.page-titles {
    background: #fff;
    padding: 15px;
    margin-bottom: 15px;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

/* Breadcrumb */
.breadcrumb {
    font-size: 12px;
    background: none;
    padding: 0;
    margin: 0;
}

/* Stat Boxes */
.stat-box {
    background: #fff;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    text-align: left;
    margin-bottom: 20px;
}

.stat-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 12px;
    font-weight: bold;
}

.stat-label {
    background: #2f8fc4;
    color: #fff;
    padding: 5px 10px;
    border-radius: 10px;
}

.stat-content h1{
    font-size: 20px;
    margin: 10px 0;
    font-weight: 500;
}

/* Tables */
.ibox {
    background: #fff;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

.ibox-title h5 {
    font-size: 12px;
    font-weight: bold;
    padding-bottom: 10px;
    border-bottom: 1px solid #ddd;
}

.ibox-content {
    font-size: 12px;
}

/*
.table th {
    background: #17a2b8;
    color: #fff;
    text-align: center;
}

.table td, .table th {
    text-align: center;
    vertical-align: middle;
}
*/

.table-striped tbody tr:nth-of-type(odd) {
    background-color: #f8f9fa; /* Light gray for odd rows */
}


/***** DROP DOWN MENU *********/
.position-relative {
    position: relative;
}

.dropdown-menu-custom {
    position: absolute;
    top: 95%;
    right: 162px;
    padding: 10px;
    background: #fff;
    border: 1px solid #ddd;
    border-radius: 5px;
    width: 180px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, transform 0.3s ease;
    transform: translateY(10px);
    z-index: 10;
}

.col-6:hover .dropdown-menu-custom {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.dropdown-item {
    display: flex;
    align-items: center;
    padding: 10px;
    color: #333;
    text-decoration: none;
    font-size: 14px;
    /* border-bottom: 1px dotted #ccc; */
    height: 27px;
    font-size: 12px;
}

.dropdown-item:hover {
    background: #f8f9fa;
}
/***** END DROP DOWN MENU *********/


